package com.zcloud.safetyDutyList.command.convertor.tasklist;

import com.zcloud.safetyDutyList.dto.clientobject.tasklist.*;
import com.zcloud.safetyDutyList.persistence.dataobject.tasklist.*;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring")
public interface TaskListCoConvertor {
    List<TaskListCO> converDOsToCOs(List<TaskListDO> taskListDOs);

    TaskListCO converDOToCO(TaskListDO taskListDO);

    List<TaskDetailCO> converDetailDOsToCOs(List<TaskDetailDO> taskDetailDOs);

    TaskDetailCO converDetailDOToCO(TaskDetailDO taskDetailDO);

    List<FeedbackCO> converFeedbackDOsToCOs(List<FeedbackDO> feedbackDOs);

    FeedbackCO converFeedbackDOToCO(FeedbackDO feedbackDO);

    List<FeedbackExceptionCO> converExceptionDOsToCOs(List<FeedbackExceptionDO> feedbackExceptionDOs);

    FeedbackExceptionCO converExceptionDOToCO(FeedbackExceptionDO feedbackExceptionDO);
}
